Index: XIOS3/trunk/src/interface/fortran_attr/ifile_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 2616)
@@ -911,6 +1076,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: par_access_
       LOGICAL(KIND=C_BOOL) :: par_access__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_gatherer_
+      LOGICAL(KIND=C_BOOL) :: pool_gatherer__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_reader_
+      LOGICAL(KIND=C_BOOL) :: pool_reader__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: pool_writer_
+      LOGICAL(KIND=C_BOOL) :: pool_writer__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: read_metadata_par_
       LOGICAL(KIND=C_BOOL) :: read_metadata_par__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: reader_
+      LOGICAL(KIND=C_BOOL) :: reader__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: record_offset_
       LOGICAL(KIND=C_BOOL) :: record_offset__tmp
@@ -943,8 +1116,12 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: using_server2_
+      LOGICAL(KIND=C_BOOL) :: using_server2__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_format_
       LOGICAL(KIND=C_BOOL) :: uuid_format__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_name_
       LOGICAL(KIND=C_BOOL) :: uuid_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: writer_
+      LOGICAL(KIND=C_BOOL) :: writer__tmp
 
       IF (PRESENT(append_)) THEN
@@ -1002,4 +1179,10 @@
       ENDIF
 
+      IF (PRESENT(gatherer_)) THEN
+        gatherer__tmp = cxios_is_defined_file_gatherer &
+      (file_hdl%daddr)
+        gatherer_ = gatherer__tmp
+      ENDIF
+
       IF (PRESENT(min_digits_)) THEN
         min_digits__tmp = cxios_is_defined_file_min_digits &
@@ -1044,4 +1227,22 @@
       ENDIF
 
+      IF (PRESENT(pool_gatherer_)) THEN
+        pool_gatherer__tmp = cxios_is_defined_file_pool_gatherer &
+      (file_hdl%daddr)
+        pool_gatherer_ = pool_gatherer__tmp
+      ENDIF
+
+      IF (PRESENT(pool_reader_)) THEN
+        pool_reader__tmp = cxios_is_defined_file_pool_reader &
+      (file_hdl%daddr)
+        pool_reader_ = pool_reader__tmp
+      ENDIF
+
+      IF (PRESENT(pool_writer_)) THEN
+        pool_writer__tmp = cxios_is_defined_file_pool_writer &
+      (file_hdl%daddr)
+        pool_writer_ = pool_writer__tmp
+      ENDIF
+
       IF (PRESENT(read_metadata_par_)) THEN
         read_metadata_par__tmp = cxios_is_defined_file_read_metadata_par &
@@ -1050,4 +1251,10 @@
       ENDIF
 
+      IF (PRESENT(reader_)) THEN
+        reader__tmp = cxios_is_defined_file_reader &
+      (file_hdl%daddr)
+        reader_ = reader__tmp
+      ENDIF
+
       IF (PRESENT(record_offset_)) THEN
         record_offset__tmp = cxios_is_defined_file_record_offset &
@@ -1140,4 +1347,10 @@
       ENDIF
 
+      IF (PRESENT(using_server2_)) THEN
+        using_server2__tmp = cxios_is_defined_file_using_server2 &
+      (file_hdl%daddr)
+        using_server2_ = using_server2__tmp
+      ENDIF
+
       IF (PRESENT(uuid_format_)) THEN
         uuid_format__tmp = cxios_is_defined_file_uuid_format &
@@ -1152,4 +1365,10 @@
       ENDIF
 
+      IF (PRESENT(writer_)) THEN
+        writer__tmp = cxios_is_defined_file_writer &
+      (file_hdl%daddr)
+        writer_ = writer__tmp
+      ENDIF
+
   END SUBROUTINE xios(is_defined_file_attr_hdl_)
 
